/*
 *	Copyright(c) 2017 by Maciej Więcierzewski
*/

var slider;

// adjusts the page height
var setPageHeight = function(height)
{
    if(typeof(height) !== "number")
        height = 0;

    var pageHeight = Math.max(height, window.innerHeight);

    $("#body-wrap").css("height", pageHeight+"px");

	// adjusts footer position
    var footerHeight = parseInt($("#footer").css("height"));
    $("#footer").css("top", (pageHeight - footerHeight) + "px");
};


$("document").ready(function(){
	// slider initalization
    slider = new Slider();

    slider.addSlide( { title: 'About', id: 'slide-about', hash: 'about' } );
    slider.addSlide( { title: 'Work', id: 'slide-work', hash: 'work'  } );
    slider.addSlide( { title: 'Contact', id: 'slide-contact', hash: 'contact'  } );

	// resize event
	var resizeFunction = function()
    {
        slider.updateHeight();
    }.bind(this);
	
    $(window).resize(resizeFunction);

	// event triggered on user navigation
    window.onpopstate = function(){
        slider.goToSlide(window.location.hash.substr(1));
    };
	
	// setting initial slider
    if(window.location.hash === "")
    {
        window.location.hash = "about";
    }
    else
    {
		var hash = window.location.hash.substr(1);
		slider.setIndex(hash);	// called to avoid slide transition when slide is not changed
        slider.goToSlide(hash);
    }
	
	// ensures the footer is visible
	$("#footer").css("visibility", "visible");
});
